<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cl_live"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#494757"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical"
    tools:context=".ui.LiveActivity"
    tools:ignore="MissingDefaultResource">


    <FrameLayout
        android:id="@+id/share_screen_fragment"
        android:layout_width="@dimen/dp_200"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_5"
        android:layout_marginBottom="@dimen/dp_10"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <TextView
        android:id="@+id/tv_music_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_27"
        android:layout_marginBottom="@dimen/dp_55"
        android:background="@drawable/bg_gray_2c_radius45_shape"
        android:drawableStart="@drawable/ic_accompaniment_download"
        android:drawablePadding="@dimen/dp_3"
        android:gravity="center"
        android:paddingStart="@dimen/dp_9"
        android:paddingTop="@dimen/dp_2"
        android:paddingEnd="@dimen/dp_9"
        android:paddingBottom="@dimen/dp_2"
        android:text=""
        android:textColor="@color/white"
        android:textSize="@dimen/dp_14"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/share_screen_fragment"
        app:layout_constraintStart_toStartOf="@+id/share_screen_fragment" />

    <FrameLayout
        android:id="@+id/teaching_tools_fragment"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/dp_5"
        app:layout_constraintBottom_toBottomOf="@id/tv_teaching_tools"
        app:layout_constraintTop_toTopOf="@id/tv_teaching_tools"
        app:layout_constraintEnd_toStartOf="@id/tv_teaching_tools"/>

    <ImageView
        android:id="@+id/iv_activity_live_share_screen_location"
        android:visibility="invisible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dp_10"
        app:layout_constraintBottom_toBottomOf="@id/share_screen_fragment"
        app:layout_constraintEnd_toEndOf="@+id/share_screen_fragment"
        android:src="@drawable/ic_student_on_stage"/>

    <com.cooleshow.base.widgets.ColorTextView
        android:id="@+id/tv_teaching_tools"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingLeft="@dimen/dp_3"
        android:paddingRight="@dimen/dp_3"
        android:paddingTop="@dimen/dp_5"
        android:paddingBottom="@dimen/dp_5"
        android:layout_marginBottom="@dimen/dp_15"
        android:layout_marginRight="@dimen/dp_5"
        app:ctvBackground="#01C1B5"
        app:ctvCornerSize="8dp"
        android:drawableStart="@drawable/ic_teacher_tools"
        android:gravity="center"
        android:text="教学工具"
        android:visibility="gone"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_12"
        app:layout_constraintTop_toTopOf="@+id/iv_activity_live_share_screen_location"
        app:layout_constraintEnd_toEndOf="@+id/share_screen_fragment" />


    <TextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_30"
        android:layout_marginTop="@dimen/dp_15"
        android:layout_marginEnd="@dimen/dp_15"
        android:gravity="center_horizontal"
        android:text="00:00:00"
        android:textColor="#FA6400"
        android:textSize="@dimen/dp_14"
        android:visibility="visible"
        app:layout_constraintEnd_toEndOf="@id/share_screen_fragment"
        app:layout_constraintTop_toTopOf="parent" />

    <ListView
        android:id="@+id/lv_list"
        android:layout_width="@dimen/dp_135"
        android:layout_height="match_parent"
        android:background="#65000000"
        android:divider="@android:color/transparent"
        android:dividerHeight="@dimen/dp_7"
        android:overScrollMode="never"
        android:paddingTop="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_10"
        android:scrollbars="none"
        android:visibility="gone"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_white_board_switch"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/ic_white_board_open"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/share_screen_fragment"
        app:layout_constraintStart_toEndOf="@id/lv_list"
        app:layout_constraintTop_toTopOf="@id/share_screen_fragment" />

    <FrameLayout
        android:id="@+id/video_list_fragment"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_5"
        app:layout_constraintBottom_toTopOf="@id/play_metronome_fragment"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/share_screen_fragment"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/play_metronome_fragment"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/share_screen_fragment"
        app:layout_constraintTop_toBottomOf="@id/video_list_fragment" />


    <FrameLayout
        android:id="@+id/top_operate_control_fragment"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_48"
        android:visibility="gone"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <FrameLayout
        android:id="@+id/member_list_fragment"
        android:layout_width="@dimen/dp_278"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/conversation_fragment"
        android:layout_width="@dimen/dp_278"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/gongge_mode_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/container_big_video_window"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/accompaniment_list_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/toastTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_100"
        android:layout_marginTop="@dimen/dp_40"
        android:layout_marginEnd="@dimen/dp_100"
        android:background="@drawable/bg_live_toast_shape"
        android:drawableStart="@drawable/ic_live_toast_right"
        android:drawablePadding="@dimen/dp_7"
        android:gravity="center"
        android:lineSpacingExtra="@dimen/dp_5"
        android:paddingStart="21dp"
        android:paddingTop="@dimen/dp_7"
        android:paddingEnd="21dp"
        android:paddingBottom="@dimen/dp_7"
        android:textColor="@color/white"
        android:textSize="14dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>